import 'package:dart_spectre/spectre.dart';
import 'package:test/test.dart';
import 'package:xml/xml.dart';
import 'dart:io';

void main() {
  test("Example", () {
    var spectre = Spectre("Robert Lee Mitchell", "banana colored duckling");
    var pw = spectre.site("masterpasswordapp.com");
    expect(pw, equals("Jejr5[RepuSosp"));
  });

  test("Example_second", () {
    var scoper = SimpleScoper("com.jojodev.jolheiser");
    var spectre = Spectre("Robert Lee Mitchell", "banana colored duckling", scoper);
    var pw = spectre.site("jojodev.com", scope: Scope.identification, templateType: Template.maximum, counter: 2);
    expect(pw, equals("Ig^JIcxD!*)TbefJBi6-"));
  });

  test("test", () {
    var tests = File("test/spectre_tests.xml");
    var xml = XmlDocument.parse(tests.readAsStringSync());

    //print(xml.children[0].children);
  });
}